import * as React from 'react';

import Drawer from '@mui/material/Drawer';
import { MainListItems, SecondaryListItems} from './listItems'
import { List, Divider } from '@mui/material';
import { Logout } from '@mui/icons-material/';
import { Nav } from 'react-bootstrap';
import { ListItem, ListItemIcon,ListItemText} from '@mui/material/'
import useAuth from '../../Auth/useAuth'

export function MenuMovil(props) {

    let { anchor } = props;
    const auth = useAuth();

    return (
        <React.Fragment >
            <Drawer anchor="left" open={anchor} sx={{ width : 10 }} >
                <List style={{ paddingTop : 64 }}>
                    <MainListItems AppBarVisible={anchor} setAppBarVisible={() => console.log('cerrar la vision')} />
                </List>
                <Divider />
                <List>
                    {SecondaryListItems}
                </List>
                <Divider />
                <List>
                    <Nav onClick ={auth.logout}>
                        <ListItem>
                            <ListItemIcon>
                                <Logout/>
                            </ListItemIcon>
                            <ListItemText>
                                Cerrar sesion
                            </ListItemText>
                        </ListItem>
                    </Nav>
                </List>
            </Drawer>
        </React.Fragment>
    );
}
